Bug 1570588 - kernel: Infinite recursion in kernel/sched/clock.c:sched_clock_cpu() possibly leading to denial of service
Summary: kernel: Infinite recursion in kernel/sched/clock.c:sched_clock_cpu() possibly...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1570594
TreeView+ depends on / blocked
 
Reported: 2018-04-23 09:51 UTC by Adam Mariš
Modified: 2019-09-29 14:37 UTC (History)
45 users (show)

Fixed In Version: kernel 3.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 12:39:11 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-04-23 09:51:02 UTC
When CONFIG_DEBUG_PREEMPT is enabled, preempt_disable/enable() are traced which causes trace_clock() users to go into an infinite recursion leading to denial of service. Systems with a stable sched_clock()
are not affected.

Upstream patch:

https://github.com/torvalds/linux/commit/96b3d28bf4b00f62fc8386ff5d487d1830793a3d

Comment 1 Vladis Dronov 2018-05-11 12:39:11 UTC
No Red Hat products is built with CONFIG_DEBUG_PREEMPT. Closing this as not-a-bug.


Note You need to log in before you can comment on or make changes to this bug.